Package tigase.xmpp.impl

# Enum Class SaslAuth.ElementType

java.lang.Object
java.lang.Enum<SaslAuth.ElementType>
tigase.xmpp.impl.SaslAuth.ElementType

All Implemented Interfaces:
  `Serializable`, `Comparable<SaslAuth.ElementType>`, `Constable`

Enclosing class:
  SaslAuth

public static enum SaslAuth.ElementType extends Enum<SaslAuth.ElementType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ABORT`
  `AUTH`
  `CHALLENGE`
  `FAILURE`
  `RESPONSE`
  `SUCCESS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getElementName()`
  `static SaslAuth.ElementType`
  `parse(String name)`
  `static SaslAuth.ElementType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SaslAuth.ElementType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ABORT

    public static final SaslAuth.ElementType ABORT

  - ### AUTH

    public static final SaslAuth.ElementType AUTH

  - ### CHALLENGE

    public static final SaslAuth.ElementType CHALLENGE

  - ### FAILURE

    public static final SaslAuth.ElementType FAILURE

  - ### RESPONSE

    public static final SaslAuth.ElementType RESPONSE

  - ### SUCCESS

    public static final SaslAuth.ElementType SUCCESS

- ## Method Details

  - ### values

    public static SaslAuth.ElementType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SaslAuth.ElementType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### parse

    public static SaslAuth.ElementType parse(String name)

  - ### getElementName

    public String getElementName()